Subject: Re: [PATCH] gitweb: use out-of-line GIT logo.

From: Jakub Narebski <[email-masked]>
Date: Mon, 31 Jul 2006 07:21:39 +0200

Luben Tuikov wrote:

> --- Martin Waitz <[email-masked]> wrote:
> 
>> Use the normal web server instead of the CGI to provide the git logo,
>> just like the gitweb.css.
> 
> NACK.  I'd really rather keep the logo (which is essential) in the
> file itself.  This would mean one less file to worry about.

I'm not sure. On the one hand this introduces yet another file which we have
to worry about, on the other it probably help performance. Any hard
numbers?

The difference with gitweb.css is that you edit gitweb.css, and that
inclused CSS can be cached; we could probably do the same trick like with
logo (i.e. embed it in gitweb.css, but still use 
  <link rel="stylesheet" type="text/css" href="$my_uri?a=gitweb.css"/>
and not
  <style type="text/css">
  ...
  </style>

Besides, mixed language files are hard to syntax highlight correctly...

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git